Debian Bug report logs - #545932
freeradius: does not properly clean aborted build

version graph

Package: freeradius; Maintainer for freeradius is Josip Rodin <joy-packages@debian.org>; Source for freeradius is src:freeradius.

Reported by: "brian m. carlson" <sandals@crustytoothpaste.net>

Date: Thu, 10 Sep 2009 02:03:01 UTC

Severity: serious

Found in version freeradius/2.0.4+dfsg-6

Fixed in version freeradius/2.0.4+dfsg-7

Done: Stephen Gran <sgran@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Stephen Gran <sgran@debian.org>:
Bug#545932; Package freeradius. (Thu, 10 Sep 2009 02:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to "brian m. carlson" <sandals@crustytoothpaste.ath.cx>:
New Bug report received and forwarded. Copy sent to Stephen Gran <sgran@debian.org>. (Thu, 10 Sep 2009 02:03:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "brian m. carlson" <sandals@crustytoothpaste.ath.cx>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: freeradius: does not properly clean aborted build
Date: Thu, 10 Sep 2009 01:49:14 +0000
[Message part 1 (text/plain, inline)]
Package: freeradius
Version: 2.0.4+dfsg-6
Severity: serious

When trying to build freeradius, the build fails (see my previous
report).  If I try to build it again, it then displays:

make[6]: Leaving directory `/home/bmc/tmp/freeradius-2.0.4+dfsg/src/modules'
make[5]: Leaving directory `/home/bmc/tmp/freeradius-2.0.4+dfsg/src/modules'
Making clean in main...
make[5]: Entering directory `/home/bmc/tmp/freeradius-2.0.4+dfsg/src/main'
rm -rf *.o *.so *.lo *~ radiusd radwho radclient radsniff .libs
make[5]: Leaving directory `/home/bmc/tmp/freeradius-2.0.4+dfsg/src/main'
make[4]: Leaving directory `/home/bmc/tmp/freeradius-2.0.4+dfsg/src'
rm -f freeradius-devel
make[3]: Leaving directory `/home/bmc/tmp/freeradius-2.0.4+dfsg/src'
Making clean in raddb...
make[3]: Entering directory `/home/bmc/tmp/freeradius-2.0.4+dfsg/raddb'
rm -f sites-enabled/inner-tunnel sites-enabled/default
rmdir: failed to remove `sites-enabled': No such file or directory
make[3]: *** [clean] Error 1
make[3]: Leaving directory `/home/bmc/tmp/freeradius-2.0.4+dfsg/raddb'
make[2]: *** [common] Error 2
make[2]: Leaving directory `/home/bmc/tmp/freeradius-2.0.4+dfsg'
make[1]: *** [clean] Error 2
make[1]: Leaving directory `/home/bmc/tmp/freeradius-2.0.4+dfsg'
make: *** [clean] Error 2
dpkg-buildpackage: error: fakeroot debian/rules clean gave error exit status 2

Obviously, the rm line should check first to see whether sites-enabled
exists, and if not, do nothing.

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.31-rc6-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

-- 
brian m. carlson / brian with sandals: Houston, Texas, US
+1 713 440 7475 | http://crustytoothpaste.ath.cx/~bmc | My opinion only
OpenPGP: RSA v4 4096b 88AC E9B2 9196 305B A994 7552 F1BA 225C 0223 B187
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#545932; Package freeradius. (Thu, 10 Sep 2009 08:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stephen Gran <sgran@debian.org>:
Extra info received and forwarded to list. (Thu, 10 Sep 2009 08:00:03 GMT) Full text and rfc822 format available.

Message #10 received at 545932@bugs.debian.org (full text, mbox):

From: Stephen Gran <sgran@debian.org>
To: "brian m. carlson" <sandals@crustytoothpaste.ath.cx>, 545932@bugs.debian.org
Subject: Re: Bug#545932: freeradius: does not properly clean aborted build
Date: Thu, 10 Sep 2009 08:53:27 +0100
[Message part 1 (text/plain, inline)]
This one time, at band camp, brian m. carlson said:
> Obviously, the rm line should check first to see whether sites-enabled
> exists, and if not, do nothing.

It's not the rm line, it's the rmdir line, and I don't see how it can
fail:

raddb/Makefile:
clean:
        rm -f sites-enabled/inner-tunnel sites-enabled/default
        @rmdir sites-enabled

The -f will make rm succeed even if the file doesn't exist:

sgran@samosa:~$ ls
sgran@samosa:~$ rm -f test/a test/b
sgran@samosa:~$ echo $?
0
sgran@samosa:~$

And the rmdir has an 'ignore errors' marker.  Can you maybe do some 
debugging to figure out what is really going wrong?

Cheers,
-- 
 -----------------------------------------------------------------
|   ,''`.                                            Stephen Gran |
|  : :' :                                        sgran@debian.org |
|  `. `'                        Debian user, admin, and developer |
|    `-                                     http://www.debian.org |
 -----------------------------------------------------------------
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Stephen Gran <sgran@debian.org>:
Bug#545932; Package freeradius. (Thu, 10 Sep 2009 14:27:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to "brian m. carlson" <sandals@crustytoothpaste.ath.cx>:
Extra info received and forwarded to list. Copy sent to Stephen Gran <sgran@debian.org>. (Thu, 10 Sep 2009 14:27:08 GMT) Full text and rfc822 format available.

Message #15 received at 545932@bugs.debian.org (full text, mbox):

From: "brian m. carlson" <sandals@crustytoothpaste.ath.cx>
To: Stephen Gran <sgran@debian.org>
Cc: 545932@bugs.debian.org
Subject: Re: Bug#545932: freeradius: does not properly clean aborted build
Date: Thu, 10 Sep 2009 14:22:00 +0000
[Message part 1 (text/plain, inline)]
On Thu, Sep 10, 2009 at 08:53:27AM +0100, Stephen Gran wrote:
> This one time, at band camp, brian m. carlson said:
> > Obviously, the rm line should check first to see whether sites-enabled
> > exists, and if not, do nothing.
> 
> It's not the rm line, it's the rmdir line, and I don't see how it can
> fail:

This is correct.

> raddb/Makefile:
> clean:
>         rm -f sites-enabled/inner-tunnel sites-enabled/default
>         @rmdir sites-enabled
> 
> The -f will make rm succeed even if the file doesn't exist:
> 
> sgran@samosa:~$ ls
> sgran@samosa:~$ rm -f test/a test/b
> sgran@samosa:~$ echo $?
> 0
> sgran@samosa:~$
> 
> And the rmdir has an 'ignore errors' marker.  Can you maybe do some 
> debugging to figure out what is really going wrong?

It's not the "ignore errors" marker; it's the "don't print the command"
marker.  You probably want "@-" at the beginning of the command instead.

-- 
brian m. carlson / brian with sandals: Houston, Texas, US
+1 713 440 7475 | http://crustytoothpaste.ath.cx/~bmc | My opinion only
OpenPGP: RSA v4 4096b 88AC E9B2 9196 305B A994 7552 F1BA 225C 0223 B187
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#545932; Package freeradius. (Thu, 10 Sep 2009 19:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stephen Gran <sgran@debian.org>:
Extra info received and forwarded to list. (Thu, 10 Sep 2009 19:30:03 GMT) Full text and rfc822 format available.

Message #20 received at 545932@bugs.debian.org (full text, mbox):

From: Stephen Gran <sgran@debian.org>
To: "brian m. carlson" <sandals@crustytoothpaste.ath.cx>
Cc: 545932@bugs.debian.org
Subject: Re: Bug#545932: freeradius: does not properly clean aborted build
Date: Thu, 10 Sep 2009 20:24:42 +0100
[Message part 1 (text/plain, inline)]
This one time, at band camp, brian m. carlson said:
> It's not the "ignore errors" marker; it's the "don't print the command"
> marker.  You probably want "@-" at the beginning of the command instead.

Gah, of course it is.  Fair enough - easy enough to fix.  I'll go have a
word with upstream.

Cheers,
-- 
 -----------------------------------------------------------------
|   ,''`.                                            Stephen Gran |
|  : :' :                                        sgran@debian.org |
|  `. `'                        Debian user, admin, and developer |
|    `-                                     http://www.debian.org |
 -----------------------------------------------------------------
[signature.asc (application/pgp-signature, inline)]

Reply sent to Stephen Gran <sgran@debian.org>:
You have taken responsibility. (Sun, 13 Sep 2009 19:30:16 GMT) Full text and rfc822 format available.

Notification sent to "brian m. carlson" <sandals@crustytoothpaste.ath.cx>:
Bug acknowledged by developer. (Sun, 13 Sep 2009 19:30:16 GMT) Full text and rfc822 format available.

Message #25 received at 545932-close@bugs.debian.org (full text, mbox):

From: Stephen Gran <sgran@debian.org>
To: 545932-close@bugs.debian.org
Subject: Bug#545932: fixed in freeradius 2.0.4+dfsg-7
Date: Sun, 13 Sep 2009 19:02:25 +0000
Source: freeradius
Source-Version: 2.0.4+dfsg-7

We believe that the bug you reported is fixed in the latest version of
freeradius, which is due to be installed in the Debian FTP archive:

freeradius-common_2.0.4+dfsg-7_all.deb
  to pool/main/f/freeradius/freeradius-common_2.0.4+dfsg-7_all.deb
freeradius-dbg_2.0.4+dfsg-7_amd64.deb
  to pool/main/f/freeradius/freeradius-dbg_2.0.4+dfsg-7_amd64.deb
freeradius-dialupadmin_2.0.4+dfsg-7_all.deb
  to pool/main/f/freeradius/freeradius-dialupadmin_2.0.4+dfsg-7_all.deb
freeradius-iodbc_2.0.4+dfsg-7_amd64.deb
  to pool/main/f/freeradius/freeradius-iodbc_2.0.4+dfsg-7_amd64.deb
freeradius-krb5_2.0.4+dfsg-7_amd64.deb
  to pool/main/f/freeradius/freeradius-krb5_2.0.4+dfsg-7_amd64.deb
freeradius-ldap_2.0.4+dfsg-7_amd64.deb
  to pool/main/f/freeradius/freeradius-ldap_2.0.4+dfsg-7_amd64.deb
freeradius-mysql_2.0.4+dfsg-7_amd64.deb
  to pool/main/f/freeradius/freeradius-mysql_2.0.4+dfsg-7_amd64.deb
freeradius-postgresql_2.0.4+dfsg-7_amd64.deb
  to pool/main/f/freeradius/freeradius-postgresql_2.0.4+dfsg-7_amd64.deb
freeradius-utils_2.0.4+dfsg-7_amd64.deb
  to pool/main/f/freeradius/freeradius-utils_2.0.4+dfsg-7_amd64.deb
freeradius_2.0.4+dfsg-7.diff.gz
  to pool/main/f/freeradius/freeradius_2.0.4+dfsg-7.diff.gz
freeradius_2.0.4+dfsg-7.dsc
  to pool/main/f/freeradius/freeradius_2.0.4+dfsg-7.dsc
freeradius_2.0.4+dfsg-7_amd64.deb
  to pool/main/f/freeradius/freeradius_2.0.4+dfsg-7_amd64.deb
libfreeradius-dev_2.0.4+dfsg-7_amd64.deb
  to pool/main/f/freeradius/libfreeradius-dev_2.0.4+dfsg-7_amd64.deb
libfreeradius2_2.0.4+dfsg-7_amd64.deb
  to pool/main/f/freeradius/libfreeradius2_2.0.4+dfsg-7_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 545932@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Stephen Gran <sgran@debian.org> (supplier of updated freeradius package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 13 Sep 2009 19:33:12 +0100
Source: freeradius
Binary: freeradius freeradius-common freeradius-utils freeradius-krb5 freeradius-ldap freeradius-mysql freeradius-iodbc freeradius-postgresql libfreeradius2 libfreeradius-dev freeradius-dialupadmin freeradius-dbg
Architecture: source amd64 all
Version: 2.0.4+dfsg-7
Distribution: unstable
Urgency: low
Maintainer: Stephen Gran <sgran@debian.org>
Changed-By: Stephen Gran <sgran@debian.org>
Description: 
 freeradius - a high-performance and highly configurable RADIUS server
 freeradius-common - FreeRadius common files
 freeradius-dbg - a high-performance and highly configurable RADIUS server; debug s
 freeradius-dialupadmin - set of PHP scripts for administering a FreeRADIUS server
 freeradius-iodbc - iODBC module for FreeRADIUS server
 freeradius-krb5 - kerberos module for FreeRADIUS server
 freeradius-ldap - LDAP module for FreeRADIUS server
 freeradius-mysql - MySQL module for FreeRADIUS server
 freeradius-postgresql - PostgreSQL module for FreeRADIUS server
 freeradius-utils - FreeRadius client utilities
 libfreeradius-dev - FreeRADIUS shared library development files
 libfreeradius2 - FreeRADIUS shared library
Closes: 530727 533390 541882 545932
Changes: 
 freeradius (2.0.4+dfsg-7) unstable; urgency=low
 .
   * Ignore rmdir failure on clean (closes: #545932)
   * Do a better job of catching errors in the init script (closes: #533390)
   * Init headers fixup (closes: #541882)
   * Clean up some logs so dpkg can successfully rmdir (closes: #530727)
Checksums-Sha1: 
 183cf5c7129abc5f01ee8a734619be4342d651e0 1510 freeradius_2.0.4+dfsg-7.dsc
 95f45f2b8a19dd85c66f2c6e892702f8ecfeded7 5854 freeradius_2.0.4+dfsg-7.diff.gz
 51f41684dc9be9659b290032021b7a54acf9f4d5 512154 freeradius_2.0.4+dfsg-7_amd64.deb
 cde7ef468e11be9f4e2ba9826452794e449a18ba 75530 freeradius-utils_2.0.4+dfsg-7_amd64.deb
 988a1fcdc8c4939fced309a5eaa15f493c66eb12 18452 freeradius-krb5_2.0.4+dfsg-7_amd64.deb
 595a6bc2a668ac4d0dd99b84b5c6ad219505ba9a 36024 freeradius-ldap_2.0.4+dfsg-7_amd64.deb
 2388350ed7db23b0085ccf2032a7c1fd74b5e17c 25092 freeradius-mysql_2.0.4+dfsg-7_amd64.deb
 3c79f5366251db9c743b5d98b20fb00f536a50a4 17730 freeradius-iodbc_2.0.4+dfsg-7_amd64.deb
 4af76937c66a5b3339c89c5f63e23ecac6e63a5d 37114 freeradius-postgresql_2.0.4+dfsg-7_amd64.deb
 20a9a52a5519e2c32280d70e84550c902bca841b 81168 libfreeradius2_2.0.4+dfsg-7_amd64.deb
 7f4cd124397edc87747fecab32684a41fd53800e 104684 libfreeradius-dev_2.0.4+dfsg-7_amd64.deb
 1f0029d8fba490286f418c4f5b4ad4038e3dc9ea 843074 freeradius-dbg_2.0.4+dfsg-7_amd64.deb
 4c0bea149767a2405f1c011c5cfca803a60c422c 205872 freeradius-common_2.0.4+dfsg-7_all.deb
 26a451bed91317d46a7ac0b91533bacee4365285 129334 freeradius-dialupadmin_2.0.4+dfsg-7_all.deb
Checksums-Sha256: 
 d10111e5ba6a3344f809c9f26f099304197d2c90b1ae32f72e01dfe6b2dd0d40 1510 freeradius_2.0.4+dfsg-7.dsc
 12afcb65b69db328c1e6edd47934dafa23121fb10444004662f62c6dbe592425 5854 freeradius_2.0.4+dfsg-7.diff.gz
 7d85f6e6842fdfe6cc136f3629c531d1eff7b0090db1d72868334169c7fcb9fd 512154 freeradius_2.0.4+dfsg-7_amd64.deb
 81b34d031491d63e0b2e8d7238fe8cc4b0a6dcde685fbab78c09c87750ce56e8 75530 freeradius-utils_2.0.4+dfsg-7_amd64.deb
 23072387815a52f35e265be7f73e5a67fac8cb0d63d587920a4c18ed9b05c191 18452 freeradius-krb5_2.0.4+dfsg-7_amd64.deb
 a4aa788bdee71df2b00dc483f2dbd123679eea816c73d5ccb47bc39f2f70c97c 36024 freeradius-ldap_2.0.4+dfsg-7_amd64.deb
 dbfae2366eb271a5bc5df9913abdc8e1d651a8c8e56ec9c8240656cbc352e646 25092 freeradius-mysql_2.0.4+dfsg-7_amd64.deb
 d0cdf801cef31b036f0a0039a7771c267536675855ac12d06638d0ef3d130dae 17730 freeradius-iodbc_2.0.4+dfsg-7_amd64.deb
 e0faca4c83fdeddc793a1a33936589fd593ce706baed0930f9877b36947f71c3 37114 freeradius-postgresql_2.0.4+dfsg-7_amd64.deb
 fa2f24db7767d1febce12f416110ae3ab8258b395e93d32a99f29796c9fc5d6f 81168 libfreeradius2_2.0.4+dfsg-7_amd64.deb
 e07a25c25f6b9895e98e5121ef35a699039e27791dc587b8a004ff150bae6d79 104684 libfreeradius-dev_2.0.4+dfsg-7_amd64.deb
 f2df93bce6face1f582719505f54bc351319d0e341045d9b2bc22befb26da1fa 843074 freeradius-dbg_2.0.4+dfsg-7_amd64.deb
 7f201817826e7f0d23560379b4c66fffbf9c23be836bf5c9ad6b5287370f89ea 205872 freeradius-common_2.0.4+dfsg-7_all.deb
 b1a905951f3ee860195f7c1ba0ebbd67843f14d2180e7d434211c584c4d4dc3c 129334 freeradius-dialupadmin_2.0.4+dfsg-7_all.deb
Files: 
 fb1a5d3e911f87a900625e59742a1125 1510 net optional freeradius_2.0.4+dfsg-7.dsc
 3ae6a3c886e3334377917a2443c51b40 5854 net optional freeradius_2.0.4+dfsg-7.diff.gz
 c6fc5ae6f3276b66272b458ff7227259 512154 net optional freeradius_2.0.4+dfsg-7_amd64.deb
 b5de2603cbcb4ee3d10476426798550b 75530 net optional freeradius-utils_2.0.4+dfsg-7_amd64.deb
 793dcaef87fe57a0628ec04b50026072 18452 net optional freeradius-krb5_2.0.4+dfsg-7_amd64.deb
 2d2534cddaf34f39f0e7ba2b683a607f 36024 net optional freeradius-ldap_2.0.4+dfsg-7_amd64.deb
 09845bcce146e33bbb33537a7995728c 25092 net optional freeradius-mysql_2.0.4+dfsg-7_amd64.deb
 d46ab8fd0d75bb46cc164617e1616c14 17730 net optional freeradius-iodbc_2.0.4+dfsg-7_amd64.deb
 0fd467676c6819d51d85f121ca795515 37114 net optional freeradius-postgresql_2.0.4+dfsg-7_amd64.deb
 3761dbbad7e45dac7e0a154962ba1fbd 81168 net optional libfreeradius2_2.0.4+dfsg-7_amd64.deb
 a90d1237a4d9f67524de66088f3f61dc 104684 libdevel optional libfreeradius-dev_2.0.4+dfsg-7_amd64.deb
 97ce357310da4519ebc44d6c11248673 843074 debug extra freeradius-dbg_2.0.4+dfsg-7_amd64.deb
 d94be4e75bb2e84339a2ed5115705cee 205872 net optional freeradius-common_2.0.4+dfsg-7_all.deb
 675ff5d181c6c763e3cc7085a23e76b4 129334 net optional freeradius-dialupadmin_2.0.4+dfsg-7_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkqtPwgACgkQSYIMHOpZA44y8wCgzG64n7j1v1jIicroNpgQgUl5
NS4AoI0We58JRomWtrMJ/3zkQnjTAP7J
=M04X
-----END PGP SIGNATURE-----





Severity set to 'grave' from 'serious' Request was from "Matthew W. S. Bell" <matthew@bells23.org.uk> to control@bugs.debian.org. (Tue, 27 Oct 2009 23:54:07 GMT) Full text and rfc822 format available.

Severity set to 'serious' from 'grave' Request was from Josip Rodin <joy@debbugs.entuzijast.net> to control@bugs.debian.org. (Fri, 27 Nov 2009 14:42:03 GMT) Full text and rfc822 format available.

Changed Bug submitter to '"brian m. carlson" <sandals@crustytoothpaste.net>' from '"brian m. carlson" <sandals@crustytoothpaste.ath.cx>' Request was from "brian m. carlson" <sandals@crustytoothpaste.net> to control@bugs.debian.org. (Thu, 03 Feb 2011 20:51:49 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 04 Mar 2011 07:32:04 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 20:58:24 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.